install_keyboard(3)

NAME
install_keyboard

SYNOPSIS
#include <allegro.h>

int install_keyboard();

DESCRIPTION
Installs the Allegro keyboard interrupt handler. You must call this before using any of the keyboard input routines. Once you have set up the Allegro handler, you can no longer use operating system calls or C library functions to access the keyboard. Returns zero on success, or a negative number on failure (but you may decide not to check the return value as this function is very unlikely to fail). Note that on some platforms the keyboard won't work unless you have set a graphics mode, even if this function returns zero before calling set_gfx_mode.

SEE ALSO
remove_keyboard(3), poll_keyboard(3), key(3), keypressed(3), readkey(3), ureadkey(3), keyboard_callback(3), keyboard_ucallback(3), keyboard_lowlevel_callback(3), three_finger_flag(3), key_led_flag(3), set_leds(3), set_keyboard_rate(3), set_gfx_mode(3)